<?php
namespace Mirasvit\Sorting\Block\CriterionPopularityJs;

/**
 * Interceptor class for @see \Mirasvit\Sorting\Block\CriterionPopularityJs
 */
class Interceptor extends \Mirasvit\Sorting\Block\CriterionPopularityJs implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Widget\Context $context)
    {
        $this->___init();
        parent::__construct($context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
